import React from "react";
import { Room } from "matrix-js-sdk/src/matrix";
interface IProps {
    room: Room;
    onFinished(upgrade?: boolean): void;
}
interface IState {
    busy: boolean;
}
export default class RoomUpgradeDialog extends React.Component<IProps, IState> {
    private targetVersion?;
    state: {
        busy: boolean;
    };
    componentDidMount(): Promise<void>;
    private onCancelClick;
    private onUpgradeClick;
    render(): React.ReactNode;
}
export {};
